/* //////////////////////////////////////////////////////////////////////////////////////
Suite logicielle Pikasuite
Auteur: Julien PIASECKI
Mail : pikachu_42@hotmail.com ou julien.piasecki@hotmail.fr
Variables utilises dans tout le programme

///////////////////////////////////////////////////////////////////////////////////////*/

#define Une_sec_OK	1960					// C'est le nombre de millisecondes comptes par le timer qui correspondent  une vrai seconde

// Valeurs par dfaut pour la calibration
// seront changes si il y a validation de la calibration
int X_TP_MIN_CALIB = 	86;
int Y_TP_MIN_CALIB = 	136;
int X_TP_MAX_CALIB = 	834;
int Y_TP_MAX_CALIB = 	782;

// paramtres pour les caractres  afficher
#define LARG_CHAR	6
#define HAUT_CHAR	8

// Menu application: 0 = menu gnral, 1 = oscillospe
int iApplication;

int x_coord, y_coord = 0;

// Coordonnes converties pour l'affichage du point de l'oscilloscope
int iTemporal_axis = 0;
float iAmplitude_axis = 0.0;

int iMilliers = 0;							// Valeurs  afficher pour les centaines
int iCentaines = 0;							// Valeurs  afficher pour les centaines	
int iDizaines = 0;							// Valeurs  afficher pour les dizaines
int iUnites = 0;							// Valeurs  afficher pour les units

// Gestion des compteurs de temps
long int compteur_1_us = 0;					// compteur gnral des microsecondes
int compteur_oscillo_1_us = 0;				// compteur gnral des microsecondes pour l'oscilloscope
long int compteur_1_ms = 0;					// compteur gnral des millisecondes
int compteur_oscillo_1_ms = 0;				// compteur gnral des millisecondes pour l'oscilloscope
long int compteur_s = 0;					// compteur gnral des secondes
int iMaj_oscillo_to_do = 0;					// flag qui indique si il faut faire une nouvelle acquisition 

// Gestion du timer0 pour la sortie PWM
//T=(4/Fosc)*(Presc*(Resolution-Preload))	// Formule de calcule pour la priode du timer
#define TIMER_MIN	222.0
#define TIMER_MAX	108.0
int PWM_ON = 0;								// flag qui indique l'tat en cours
float fPWM_value = 0.0;						// valeur PWM pour le servomoteur


